perl-Catalyst-Plugin-Authentication-Credential-HTTP-0.13-alt1.noarch.rpm


Advertisement

Description

perl-Catalyst-Plugin-Authentication-Credential-HTTP - Superseded / deprecated module

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Catalyst-Plugin-Authentication-Credential-HTTP
Package version 0.13
Package release alt1
Package architecture noarch
Package type rpm
Installed size 20.92 KB
Download size 20.92 KB
Official Mirror ftp.altlinux.org
This moduule lets you use HTTP authentication with
the Catalyst::Plugin::Authentication manpage. Both basic and digest authentication
are currently supported.
When authentication is required, this module sets a status of 401, and
the body of the response to 'Authorization required.'. To override
this and set your own content, check for the `$c->res->status ==
401' in your `end' action, and change the body accordingly.

Alternatives

Package Version Architecture Repository
perl-Catalyst-Plugin-Authentication-Credential-HTTP - - -

Requires

Name Value
/usr/share/perl5 -
perl(Catalyst.pm) -
perl(Catalyst/Plugin/Authentication/Credential/Password.pm) -
perl(Class/Accessor/Fast.pm) -
perl(Data/UUID.pm) >= 0.110
perl(Digest/MD5.pm) -
perl(String/Escape.pm) -
perl(URI/Escape.pm) -
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Catalyst/Plugin/Authentication/Credential/HTTP.pm) = 0.130
perl-Catalyst-Plugin-Authentication-Credential-HTTP = 0.13-alt1

Download

Type URL
Binary Package perl-Catalyst-Plugin-Authentication-Credential-HTTP-0.13-alt1.noarch.rpm
Source Package perl-Catalyst-Plugin-Authentication-Credential-HTTP-0.13-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Catalyst-Plugin-Authentication-Credential-HTTP rpm package:
    # sudo apt-get install perl-Catalyst-Plugin-Authentication-Credential-HTTP

Files

Path
/usr/share/doc/perl-Catalyst-Plugin-Authentication-Credential-HTTP-0.13/Changes
/usr/share/doc/perl-Catalyst-Plugin-Authentication-Credential-HTTP-0.13/README
/usr/share/perl5/Catalyst/
/usr/share/perl5/Catalyst/Plugin/
/usr/share/perl5/Catalyst/Plugin/Authentication/
/usr/share/perl5/Catalyst/Plugin/Authentication/Credential/HTTP.pm

See Also

Package Description
perl-Catalyst-Plugin-Authentication-Credential-HTTP-Proxy-0.02-alt1.noarch.rpm perl module Catalyst-Plugin-Authentication-Credential-HTTP-Proxy
perl-Catalyst-Plugin-Authentication-Credential-Hatena-0.04-alt1.noarch.rpm Hatena authentication for Catalyst
perl-Catalyst-Plugin-Authentication-Credential-Livedoor-0.03-alt1.noarch.rpm livedoor Auth API for Catalyst
perl-Catalyst-Plugin-Authentication-Credential-OpenID-0.03-alt1.noarch.rpm OpenID credential for Catalyst::Auth framework
perl-Catalyst-Plugin-Authentication-Credential-PAM-0.01-alt1.noarch.rpm perl module Catalyst-Plugin-Authentication-Credential-PAM
perl-Catalyst-Plugin-Authentication-Credential-TypeKey-0.4-alt1.noarch.rpm TypeKey Authentication
perl-Catalyst-Plugin-Authentication-LDAP-0.02-alt1.noarch.rpm perl module Catalyst-Plugin-Authentication-LDAP
perl-Catalyst-Plugin-Authentication-Simple-1.00-alt1.noarch.rpm perl module Catalyst-Plugin-Authentication-Simple
perl-Catalyst-Plugin-Authentication-Store-DBIC-0.11-alt1.noarch.rpm **DEPRECATED** Authentication and authorization against a DBIx::Class or Class::DBI model
perl-Catalyst-Plugin-Authentication-Store-HTTP-0.05-alt1.noarch.rpm Remote HTTP authentication storage
perl-Catalyst-Plugin-Authentication-Store-Htpasswd-0.02-alt3_17.noarch.rpm Authentication database in $c->config
perl-Catalyst-Plugin-Authentication-Store-UserXML-0.02-alt1.noarch.rpm Catalyst authentication storage using xml files
perl-Catalyst-Plugin-Authorization-ACL-0.16-alt1_9.noarch.rpm ACL Support for Catalyst Applications
perl-Catalyst-Plugin-Authorization-Abilities-0.31.0-alt1.noarch.rpm Ability based authorization for Catalyst/DBIx::Class apps, based on Catalyst::Plugin::Authorization
perl-Catalyst-Plugin-Authorization-CDBI-GroupToken-0.01-alt1.noarch.rpm Simplified Groups-Roles-Permissions
Advertisement
Advertisement